# ReflectionExtension::export

(PHP 5, PHP 7)

ReflectionExtension::export — Exportar

### Descripción

public static ReflectionExtension::export(string `$name`, string `$return` = false): string

Exporta una extensión reflexionada. El formato de salida de esta función coincide con el del argumento `--re [extension]` usado en la línea de comandos.

### Parámetros

`name`

  La reflexión a exportar.

`return`

  Configurarlo a `true` devolverá la exportación, a diferencia de emitirla. Configurarlo a `false` (el valor por defecto) hará lo contrario.

### Valores devueltos

Si el parámetro `return` es seteado a `true`, la exportación se devolverá como un string, de lo contrario se retornará `null`.

### Ver también

- ReflectionExtension::info() - Imprime información sobre la extensión